function MichaelisMentenRateSimulations
%% Equilibrium approximation
E = 34.29; %mM
S = 0.05; % mM
kcat = 0.49;
%Kd = kr/kf;
Kd = 1/(0.14*10^7); %mM
kr = Kd;
dP = E * kcat * S / ( Kd + S );
i = 1;
for S = 0:0.0000001:0.00001
    dP(i) = E * kcat * S / (Kd + S);
    i = i + 1;
end

plot(0:0.0000001:0.00001,dP)

ed = kcat/kr;
%% Quasi Steady State Approximation - Pepsin Wide Range

% E = 34.29; %mM

Km = 0.49;
kcat = 0.49;

Elen = [10:-1:1 .9:-.2:.1];
Sconc = 0:0.001:10;
j = 1;
for E = Elen
    i = 1;
for S = Sconc
    dP(j,i) = E * kcat * S / (Km + S);
    em(j,i) = E / (S + Km);
    if em(j,i) >= 1
        dP(j,i) = NaN;
    end
    i = i + 1;
end
j = j + 1;
end
text = '[E] = ';
%text2 = ' (mM)';
textRep = repmat(text, [length(Elen) 1]);
%textRep2 = repmat(text2, [length(Elen) 1]);
%LegendData = [textRep num2str(Elen') textRep2];
LegendData = [textRep num2str(Elen')];

totalS = repmat(Sconc,[ length(Elen) 1]);
plot(totalS',dP')
title('Quasi Steady State Approximation of Pepsin Activity')
ylabel('Pepsin Reaction Rate (1/s)')
xlabel('Substrate concentration (mM)')
legend(LegendData)

%% Quasi Steady State Approximation - Pepsin Short Range

% E = 34.29; %mM

Km = 0.49;
kcat = 0.49;

Elen = [0.9:-.2:.1];
Sconc = 0:0.001:1;
j = 1;
for E = Elen
    i = 1;
for S = Sconc
    dP(j,i) = E * kcat * S / (Km + S);
    em(j,i) = E / (S + Km);
    if em(j,i) >= 1
        dP(j,i) = NaN;
    end
    i = i + 1;
end
j = j + 1;
end
text = '[E] = ';
%text2 = ' (mM)';
textRep = repmat(text, [length(Elen) 1]);
%textRep2 = repmat(text2, [length(Elen) 1]);
%LegendData = [textRep num2str(Elen') textRep2];
LegendData = [textRep num2str(Elen')];

totalS = repmat(Sconc,[ length(Elen) 1]);
plot(totalS',dP')
title('Quasi Steady State Approximation of Pepsin Activity')
ylabel('Pepsin Reaction Rate (1/s)')
xlabel('Substrate concentration (mM)')
legend(LegendData)
