function [dydt, algvars] = ODEfunc(t,y,params)
%function dydt = ODEfunc(t,y,params)

% ODEfunc defines the system of ODEs describing the model

% Assign names for parameter values and state variables
[kf,kr,kcat,S,Etot] = params{:};


E = y(1);
S = y(2);
ES = y(3);
P = y(4);
% Conservation equations


%Reactions
react1 = kf*E*S - kr*ES;
react2 = kcat*ES;

% Reaction rates
dE = -react1 + react2;      % dE/dt
dS = -react1;      % dS/dt
dES = react1 - react2;  % dES/dt
dP = react2;   % dP/dt

dydt = [dE;dS;dES;dP];

algvars = [E react1 react2];