function PepsinModel
%% define parameters
kf = 1;    % [mM^-1 s^-1] react1 forward rate constant
kr = 1/(0.14*10^7);    % [s^-1] react1 reverse rate constant
kcat = 0.49;    %or if 0.78, recalculate kf
S = 6;   % [mM] concentration of ligand
%Etot = 34.29;   % [mM] total concentration of Enzyme
Etot = 2;
params = {kf,kr,kcat,S,Etot};

%% Run single simulation
y0 = [Etot; S; 0; 0];   
tspan = [0 30];
options = [];
[t,y] = ode15s(@ODEfunc,tspan,y0,options,params);
plot(t,y(:,1),'k:',t,y(:,2),'k-',t,y(:,3),'k--',t,y(:,4),'k.'); axis([0 30 0 S]);
xlabel('Time (sec)'); ylabel('Concentration (mM)'); legend('E','S','ES','P');
title('Varying Concentrations E = 2 S = 6')